Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.prefs
Class InvalidPreferencesFormatException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.util.prefs.InvalidPreferencesFormatException

All Implemented Interfaces:
  Serializable

public class InvalidPreferencesFormatException
extends Exception

Thrown to indicate that an operation could not complete because the input did not conform to the appropriate XML document type for a collection of preferences, as per the `Preferences` specification.

Note, that although InvalidPreferencesFormatException inherits Serializable interface from Exception, it is not intended to be Serializable. Appropriate serialization methods are implemented to throw NotSerializableException.

Since:
  1.4
See Also:
  `Preferences`

Constructor Summary
`InvalidPreferencesFormatException(String message)` Constructs an InvalidPreferencesFormatException with the specified detail message.
`InvalidPreferencesFormatException(String message, Throwable cause)` Constructs an InvalidPreferencesFormatException with the specified detail message and cause.
`InvalidPreferencesFormatException(Throwable cause)` Constructs an InvalidPreferencesFormatException with the specified cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidPreferencesFormatException

    public InvalidPreferencesFormatException(Throwable cause)

  Constructs an InvalidPreferencesFormatException with the specified cause.

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method).

### InvalidPreferencesFormatException

    public InvalidPreferencesFormatException(String message)

  Constructs an InvalidPreferencesFormatException with the specified detail message.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### InvalidPreferencesFormatException

    public InvalidPreferencesFormatException(String message,
                                             Throwable cause)

  Constructs an InvalidPreferencesFormatException with the specified detail message and cause.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.